package com.ar.oe.fragments;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView;
import com.actionbarsherlock.app.SherlockFragment;
import com.ar.oe.R;
import com.ar.oe.activities.ActivityArticle;
import com.ar.oe.adapters.AdapterArticles;
import com.ar.oe.classes.Post;
import com.ar.oe.utils.CustomComparator;

import java.util.ArrayList;
import java.util.Collections;


public class FragmentGame extends SherlockFragment {
    private static final String ARG_POSITION = "position";
    private ArrayList<Post> posts = new ArrayList<Post>();
    Context context;
    ListView articlesListView;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_game, container, false);
        context = container.getContext();
        posts = (ArrayList<Post>) getArguments().getSerializable("posts");
        if(posts.size() != 0){
            articlesListView = (ListView)rootView.findViewById(R.id.list_view_articles);
            Collections.sort(posts, new CustomComparator());
            articlesListView.setAdapter(new AdapterArticles(context, posts));

            articlesListView.setOnItemClickListener(new OnItemClickListener() {
                public void onItemClick(AdapterView<?> parent, View view,
                                        int position, long id) {
                    Intent intent = new Intent(context, ActivityArticle.class);
                    intent.putExtra("post", posts.get(position));
                    startActivity(intent);
                }
            });
        }
        return rootView;
    }

    public FragmentGame(){
    }

    public static FragmentGame newInstance(int position, ArrayList<Post> posts) {
        FragmentGame f = new FragmentGame();
        Bundle b = new Bundle();
        b.putSerializable("posts", posts);
        b.putInt(ARG_POSITION, position);
        f.setArguments(b);
        return f;
    }
}