package com.ar.oe.utils;

import android.content.Context;
import android.util.Log;

import com.ar.oe.R;
import com.ar.oe.classes.DrawerItem;
import com.ar.oe.classes.Post;

import java.lang.reflect.Array;
import java.util.ArrayList;

public class AppDatas {
    public ArrayList<DrawerItem> getMenuItems(Context context){
        Log.d("appDatas", "getMenuItems");
        ArrayList<DrawerItem> drawerItems = new ArrayList<DrawerItem>();
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.all), "oe_menu_drawer", "all"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.custom), "custom", "custom"));

        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.language), null, "header"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.french), "fr_drawer", "language"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.english), "en_drawer", "language"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.websites), null, "header"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.esfr), "esportsfrance_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.ogaming), "ogaming_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.teamaaa), "teamaaa_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.millenium), "millenium_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.iewt), "iewt_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.vakarm), "vakarm_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.cadred), "cadred_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.hltv), "hltv_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.reddit), "reddit_drawer", "website"));
        drawerItems.add(new DrawerItem(context.getResources().getString(R.string.teamliquid), "teamliquid_drawer", "website"));

        Log.d("appDatas", drawerItems.get(0).getName());
        return drawerItems;
    }

    public ArrayList<DrawerItem> getWebsites(Context context){
        ArrayList<DrawerItem> websites = new ArrayList<DrawerItem>();
        websites.add(new DrawerItem(context.getResources().getString(R.string.esfr), "esportsfrance_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.ogaming), "ogaming_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.teamaaa), "teamaaa_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.millenium), "millenium_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.iewt), "iewt_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.vakarm), "vakarm_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.cadred), "cadred_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.hltv), "hltv_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.reddit), "reddit_drawer"));
        websites.add(new DrawerItem(context.getResources().getString(R.string.teamliquid), "teamliquid_drawer"));

        return websites;
    }


    public String[] getGamesName(){
        String[] gamesName = { "TOUT", "LOL", "SC2", "DOTA2", "CS:GO", "#" };
        return gamesName;
    }

    public int[] getGamesDrawable(){
        int[] gamesDrawable = {
                R.drawable.oe_filter_logo,
                R.drawable.lol,
                R.drawable.sc2,
                R.drawable.dota2,
                R.drawable.csgo,
                R.drawable.other};
        return gamesDrawable;
    }

    public ArrayList<Post> sortPosts(String game, ArrayList<Post> posts){
        ArrayList<Post> sortedPosts = new ArrayList<Post>();
        if(game.equals("TOUT")){
            return posts;
        }
        else if(game.equals("#")){
            for(Post post : posts){
                if(!post.getThumbnail().equals("sc2") && !post.getThumbnail().equals("lol") && !post.getThumbnail().equals("dota2") && !post.getThumbnail().equals("csgo")){
                    sortedPosts.add(post);
                }
            }
        }
        else if (game.equals("SC2")){
            for(Post post : posts){
                if(post.getThumbnail().equals("sc2")){
                    sortedPosts.add(post);
                }
            }
        }
        else if (game.equals("LOL")){
            for(Post post : posts){
                if(post.getThumbnail().equals("lol")){
                    sortedPosts.add(post);
                }
            }
        }
        else if (game.equals("DOTA2")){
            for(Post post : posts){
                if(post.getThumbnail().equals("dota2")){
                    sortedPosts.add(post);
                }
            }
        }
        else if (game.equals("CS:GO")){
            for(Post post : posts){
                if(post.getThumbnail().equals("csgo")){
                    sortedPosts.add(post);
                }
            }
        }
        return sortedPosts;
    }
}